Subject: bug#17715: [PATCH] dfa: build struct dfamust on demand

From: Jim Meyering <[email-masked]>
Date: Sat, 4 Jul 2015 20:53:00 -0700

On Sat, Jul 4, 2015 at 8:33 PM,  <[email-masked]> wrote:
> Jim Meyering <[email-masked]> wrote:
>
>> On Sat, Jul 4, 2015 at 1:43 PM, Paul Eggert <[email-masked]> wrote:
>> > Thanks for looking into this.
>> >
>> > One little thing I noticed while reading that patch.  dfaalloc could be
>> > declared with _GL_ATTRIBUTE_MALLOC; this is true both before and after the
>> > patch is applied.  I don't know if it's worth bothering to declaring it that
>> > way, though, as I doubt it'd improve the quality of the generated code.
>> > Plus, _GL_ATTRIBUTE_MALLOC isn't visible in dfa.h now.
>>
>> Good idea. I prefer to add it, on principle.
>> To permit that change, I'll move the inclusion of xalloc.h --
>> the header that defines it -- from dfa.c to dfa.h.
>
> Please don't. I'd prefer not to have to deal with having that symbol
> visible.

How does making that symbol visible from gawk's dfa.h cause trouble?
If it's an issue, just append an #undef at the end of your dfa.h.